Page MenuHomePhabricator

Write Jenkins job builder definition for CiviCRM CI job
Closed, ResolvedPublic2 Story Points

Description

Once the hand-coded job runs correctly, port this to a JJB definition and deploy to the integration master.

Deployment

Then, once we confirm that the job passes for changes in any submodule,

Event Timeline

awight created this task.Mar 7 2015, 7:11 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: awight, atgo, Aklapper.

Change 195062 had a related patch set uploaded (by Awight):
Run a new experimental job for CRM patches

https://gerrit.wikimedia.org/r/195062

Change 195063 had a related patch set uploaded (by Awight):
WIP: Jenkins job builder definition for CRM job

https://gerrit.wikimedia.org/r/195063

Change 195062 abandoned by Awight:
Run a new experimental job for CRM patches

Reason:
It's simpler to just change the project name in Jenkins.

https://gerrit.wikimedia.org/r/195062

awight moved this task from In Analysis to Doing on the Fundraising Sprint Flaming Lips board.
awight moved this task from Doing to Pending Deployment on the Fundraising Sprint Flaming Lips board.
awight set Security to None.
awight edited a custom field.

Change 195343 had a related patch set uploaded (by Awight):
WIP: Set to voting once the job passes

https://gerrit.wikimedia.org/r/195343

awight added a subscriber: hashar.Mar 14 2015, 9:42 PM

Change 196847 had a related patch set uploaded (by Awight):
Drop jslint jobs for fundraising CRM submodules

https://gerrit.wikimedia.org/r/196847

awight updated the task description. (Show Details)Mar 15 2015, 12:28 AM
awight updated the task description. (Show Details)Mar 15 2015, 12:36 AM
atgo reassigned this task from awight to hashar.Mar 18 2015, 10:51 PM

Change 197816 had a related patch set uploaded (by Awight):
Run the Civi tests on all subrepo changes

https://gerrit.wikimedia.org/r/197816

Change 196847 merged by jenkins-bot:
Drop jslint jobs for fundraising CRM submodules

https://gerrit.wikimedia.org/r/196847

Change 197816 merged by jenkins-bot:
Run the Civi tests on all subrepo changes

https://gerrit.wikimedia.org/r/197816

hashar reassigned this task from hashar to awight.Mar 24 2015, 3:19 PM

Reassigning to @awight since he did everything!

@hashar: We came up with a semi-convention in our team, that we would assign to other people if we're waiting for a review, for example :p, cos I think my work here is done.

Here's the patch needing review,
https://gerrit.wikimedia.org/r/#/c/195063/

Thanks for all the encouragement!

awight removed awight as the assignee of this task.Apr 9 2015, 12:05 AM

Unassigning: I am finished working on this iteration.

Change 203187 had a related patch set uploaded (by Awight):
CiviCRM job can be run concurrently

https://gerrit.wikimedia.org/r/203187

Change 195063 merged by jenkins-bot:
Jenkins job builder definition for CRM job

https://gerrit.wikimedia.org/r/195063

Change 195343 merged by jenkins-bot:
wikimedia-fundraising-civicrm tests are voting

https://gerrit.wikimedia.org/r/195343

@awight congratulations on acing the Jenkins configuration! The job is now voting!

hashar closed this task as Resolved.Apr 13 2015, 11:18 AM
hashar claimed this task.
hashar reassigned this task from hashar to awight.

Woohoo! /me smashes a bottle of champagne

Change 203187 abandoned by Awight:
CiviCRM job can be run concurrently

Reason:
I wish!

https://gerrit.wikimedia.org/r/203187

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM